"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_ilogger_1 = require("typescript-ilogger");
const base_class_1 = require("./base-class");
const logger = new typescript_ilogger_1.Logger(typescript_ilogger_1.LogLevel.Off);
/**
 * Test the constructor
 */
describe(`${base_class_1.BaseClass.name}`, () => {
    test('should create class and have logger defined', () => {
        const baseClass = new base_class_1.BaseClass(logger);
        return expect(baseClass.Logger).toBeDefined();
    });
    test('should create class and have log helper defined', () => {
        const baseClass = new base_class_1.BaseClass(logger);
        return expect(baseClass.LogHelper).toBeDefined();
    });
    test('should create class and have object operations defined', () => {
        const baseClass = new base_class_1.BaseClass(logger);
        return expect(baseClass.ObjectOperations).toBeDefined();
    });
    test('should create class and have orchestrator defined', () => {
        const baseClass = new base_class_1.BaseClass(logger);
        return expect(baseClass.Orchestrator).toBeDefined();
    });
});
//# sourceMappingURL=base-class.spec.js.map