/**
 * Base Mock
 */
export declare abstract class BaseMock {
    /**
     * Gets the mock functions
     */
    get Mock(): any;
    /**
     * Mock functions
     */
    private Mocks;
    /**
     * Create a new instance of BaseMock
     */
    constructor(returnError: boolean);
    /**
     * Function to create the mock objects
     */
    protected abstract CreateMock(returnError: boolean): any;
}
